aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tools/perf/scripts/python/bin/syscall-counts-by-pid-report2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/perf/scripts/python/bin/syscall-counts-by-pid-report b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
index c53362e48602..9e9d8ddd72ce 100644
--- a/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
+++ b/tools/perf/scripts/python/bin/syscall-counts-by-pid-report
@@ -2,7 +2,7 @@
# description: system-wide syscall counts, by pid
# args: [comm]
if [ $# -gt 0 ] ; then
- if ! expr match "$1" "-" ; then
+ if ! expr match "$1" "-" > /dev/null ; then
comm=$1
shift
fi